/*
 * AbstractRRGtoLRGConverter.h
 *
 *  Created on: 8. 3. 2014
 *      Author: tomas
 */

#ifndef ABSTRACTRRGTOLRGCONVERTER_H_
#define ABSTRACTRRGTOLRGCONVERTER_H_

#include "../abstract/Conversion.h"

#include <grammar/Regular/LeftRegularGrammar.h>
#include <grammar/Regular/RightRegularGrammar.h>

namespace conversions
{

class AbstractRRGtoLRGConverter: public Conversion
{
public:
    AbstractRRGtoLRGConverter( const grammar::RightRegularGrammar & rrg );
    virtual ~AbstractRRGtoLRGConverter( void );
    virtual grammar::LeftRegularGrammar convert( void ) = 0;

protected:
    const grammar::RightRegularGrammar & m_rrg;
    grammar::LeftRegularGrammar m_lrg;
};

} /* namespace conversions */

#endif /* ABSTRACTRRGTOLRGCONVERTER_H_ */
